/**
 * 登录状态管理
 * 个人信息数据持久化
 */
import Vue from 'vue';
import Vuex from 'vuex';
Vue.use(Vuex);
import md5 from 'md5';
import {
	localStorage
} from 'js-storage';
const infoKey = md5("Info"),
userId = md5("userId");
export default new Vuex.Store({
	state: {
		userId:"",
		location:{},
		info: {
			tel: null,
			qqCode: null,
			wxQRImg: "",
			companyUrl: "",
			//产地信息
			goodsFieldForm: {
				auxList: [],
				imagesList: []
			},
			//产品批次信息
			goodsBatchInfoForm: {
				auxList: [],
				imagesList: [],
				goodsSaleUrl: '',
			},
			//检疫检验信息
			assayInfoForm: {
				auxList: [],
				imagesList: []
			}
		}
	},
	mutations: {
		saveInfo(state, info = null) {
			state.info = info || localStorage.get(infoKey) || {};
			//保存info
			localStorage.set(infoKey, state.info);
		},
		location(state, obj = {}){
			state.location = obj;
		},
		userId(state,id){
			state.userId = id || localStorage.get(userId) || null;
			localStorage.set(userId, state.userId);
		}
	}
});
