import Vue from "vue";
//引入微信jssdk
const wx = require('./jweixin-1.4.0.js');
const vue = new Vue();
export default {
	...wx,
	isOk: false,
	appId:"",
	config() {
		vue.$http.getJsapiTicket({
			url: encodeURIComponent(location.href.split('#')[0])
		}).then(res => {
			this.appId = res.appId;
			wx.config({
				debug: false,
				jsApiList: [
					"updateAppMessageShareData",
					"updateTimelineShareData",
					"onMenuShareTimeline",
					"onMenuShareAppMessage",
					"onMenuShareQQ",
					"onMenuShareWeibo",
					"onMenuShareQZone",
					"startRecord",
					"stopRecord",
					"onVoiceRecordEnd",
					"playVoice",
					"pauseVoice",
					"stopVoice",
					"onVoicePlayEnd",
					"uploadVoice",
					"downloadVoice",
					"chooseImage",
					"previewImage",
					"uploadImage",
					"downloadImage",
					"translateVoice",
					"getNetworkType",
					"openLocation",
					"getLocation",
					"hideOptionMenu",
					"showOptionMenu",
					"hideMenuItems",
					"showMenuItems",
					"hideAllNonBaseMenuItem",
					"showAllNonBaseMenuItem",
					"closeWindow",
					"scanQRCode",
					"chooseWXPay",
					"openProductSpecificView",
					"addCard",
					"chooseCard",
					"openCard"
				],
				...res
			});
		});
		return new Promise(res=>{
			wx.ready(e => {
				this.isOk = true;
				this.hideMenu();
				res(wx);
			});
		});
		wx.error(e => {
			this.isOk = false;
		});
	},
	hideMenu() {
		wx.hideAllNonBaseMenuItem();
	},
	showMenu() {
		wx.showMenuItems({
			menuList: [
				"menuItem:share:appMessage",
				"menuItem:profile",
				"menuItem:addContact",
				"menuItem:dayMode",
				"menuItem:nightMode",
				"menuItem:share:timeline",
				"menuItem:favorite"
			] // 要显示的菜单项，所有menu项见附录3
		});
	},
	//微信授权登录
	login(){
		location.replace(`/mtsy/wap/wechat/login?furl=${encodeURIComponent(location.pathname+location.search+location.hash)}`);
	},
	chooseImage() {
		//原生文件选择
		const chooseImage = (e) => {
			let input = document.createElement('input');
			Object.assign(input, {
				type: "file",
				accept: 'image/*',
				name: 'flie'
			});
			return new Promise(r => {
				input.onchange = function() {
					r(this.files);
				};
				input.click();
			});
		};
		return new Promise(r => {
			const fail = (e) => {
				chooseImage(e).then(res => {
					r({
						tempFilePaths: [(window.URL || window.webkitURL).createObjectURL(res[0])]
					});
				});
			}
			/**
			 * 通过isOk判断是否注册成功wx jssdk,成功才调用微信 否则调用原生
			 */
			this.isOk ? wx.chooseImage({
				count: 1, // 默认9
				fail,
				success: (res) => {
					wx.getLocalImgData({
						localId: res.localIds[0], // 图片的localID
						fail,
						success: (res) => {
							r({
								tempFilePaths: [res.localData.includes(';base64,') ? res.localData : ('data:image/jpg;base64,' + res.localData)]
							});
						}
					});
				}
			}) : fail();
		});
	},
	/**
	 * 分享配置
	 * @param {Object} info
	 */
	share(data = {}, info = {}) {
		//添加链接时间戳
		data.v = new Date().getTime();
		//对象变参数
		data = {
			routeUrl: $api.pages(1).route,
			...(data instanceof Object ? data : {})
		};
		let search = [];
		for (const [key, value] of Object.entries(data)) {
			search.push(`${key}=${encodeURIComponent(value)}`);
		}
		search = "?" + search.join("&");
		const shareInfo = {
			// title: '',
			// link: href + 'static/share/' + search,
			// desc: "",
			imgUrl: href + "/static/logo.png",
			trigger(res) {},
			success(res) {},
			cancel(res) {},
			fail(res) {},
			...info
		};
		//自定义“分享给朋友”及“分享到QQ”按钮的分享内容（1.4.0）
		wx.updateAppMessageShareData(shareInfo);
		//自定义“分享到朋友圈”及“分享到QQ空间”按钮的分享内容（1.4.0）
		wx.updateTimelineShareData(shareInfo);
	},
	//拉起微信浏览器端支付
	JSAPI(res) {
		return new Promise(r => {
			wx.chooseWXPay({
				"timestamp": res.data.timeStamp, //时间戳，自1970年以来的秒数     
				"nonceStr": res.data.nonceStr, //随机串     
				"package": res.data.packageValue,
				"signType": res.data.signType, //微信签名方式：     
				"paySign": res.data.paySign, //微信签名 
				success() {
					r({
						code: 0,
						msg: "成功"
					});
				},
				cancel() {
					r({
						code: 1,
						msg: "取消"
					});
				},
				fail() {
					r({
						code: 2,
						msg: "失败"
					});
				}
			});
		});
	},
	//拉起PC扫码支付
	NATIVE() {

	},
	//拉起移动端H5支付
	MWEB(res) {
		if (res.data.mwebUrl) {
			let a = document.createElement('a');
			a.href = res.data.mwebUrl + "&redirect_url=" + encodeURIComponent('http://cqthh5.jscssui.cn/static/pay/index.html');
			a.click();
		}
	}
}
